Subject: Re: [ANNOUNCEMENT] Updated: postgresql-7.1.3-1
From: Jason Tishler <[email-masked]>
To: Kurt Roeckx <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Aug 2001 21:51:54 -0400

Kurt,

On Fri, Aug 24, 2001 at 12:22:50AM +0200, Kurt Roeckx wrote:
> On Thu, Aug 23, 2001 at 04:21:41PM -0400, Jason Tishler wrote:
> > Do the following when running under the postgres user account:
> > 
> >     $ rm /usr/share/postgresql/data/postmaster.pid 
> 
> I don't want to remove it manually.  Normaly on boot you remove
> all stale pid files from the init scripts.  You basicly do an rm
> of /var/run/*.pid.  Is it removed for other daemons, like sshd,
> and how?

I'm not sure that I am grokking your questions...

If postmaster is not shutting down cleanly and leaving a stale
postmaster.pid file, then you need to replace you Cygwin DLL with the
2001-Jul-28 snapshot or later.  Note that this is documented in the
Cygwin PostgreSQL 7.1.3-1 README file.

If you are asking for an automatic way to remove arbitrary stale pid
files cause by events like power failures, then I don't have any canned
solutions to offer you since I haven't tried to solve this problem (yet).

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/